
Figure - 需求 Requirement #111004
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

【Locked需求】Launcher UI需求-通知中心需求
2022-08-03 15:16 - 方案组-RD3_CDTS 王浩云

Status: 分析&分解中 In Analysis Start date: 2022-08-03

Priority: Normal Due date: 2022-08-22

Assignee: CD FW 曹覃刚 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

4.1.2.1进入及退出方式

1. 进入方式：通过在屏幕顶部左侧区域下滑的手势，打开通知中心，手势及滑出效果跟手@陶宇 方案确认后，同步修改

2. 退出方式：从通知中心底部向上滑动或点击空白区域

4.1.2.2 功能点说明

1. 通知列表

  1. 支持同一应用的通知折叠，折叠数量follow源生

    1. 支持同一应用的多条通知的折叠展开，通过点击展开按钮的方式

    2. 支持同一应用的多条通知展开后的折叠收起，通过点击收起按钮的方式

  2. 支持不同应用的通知排列展示，follow源生，不做优先级设置

  3. 支持通知列表的上下滑动，查看不同应用通知

2. 通知管理操作：

  1. 展开及收起单条消息：

    1. 展开：

      1. 交互方式：向下滑动

      2. 生效范围：单条消息主体区域且消息通知未展开，否则不生效

    2. 收起：

      1. 交互方式：向上滑动

      2. 生效范围：单条消息主体区域且消息通知已展开，否则不生效

  2. 通知列表滑动：

    1. 交互方式：单指滑动

    2. 交互范围：通知列表主体，左侧和右侧

  3. 通知消息批量删除：

    1. 交互方式：点击通知中心底部提供批量删除的功能入口

    2. 执行反馈：点击后清空通知中心列表

  4. 通知消息单条删除：

    1. 交互方式：向左单指滑动

    2. 交互范围：消息主体，拖动消息向左滑动

Related issues:

Related to Figure - 需求 Requirement # 111229: 【需求变更】-Luanc... 分析&分解中 In Analysis2022-08-12 2022-09-30

History

#1 - 2022-08-03 15:18 - 方案组-RD3_CDTS 王浩云

文档链接如下：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#f2pVtP

#2 - 2022-08-03 15:21 - 方案组-RD3_CDTS 王浩云
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#f2pVtP


方案组-RD3_CDTS 王浩云 wrote:

h2. > 4.1.2.1进入及退出方式

1. 进入方式：通过在屏幕顶部左侧区域下滑的手势，打开通知中心，手势及滑出效果跟手@陶宇 方案确认后，同步修改

2. 退出方式：从通知中心底部向上滑动或点击空白区域

> 4.1.2.2 功能点说明

1. 通知列表
a. 支持同一应用的通知折叠，折叠数量follow源生
1. 支持同一应用的多条通知的折叠展开，通过点击展开按钮的方式
2. 支持同一应用的多条通知展开后的折叠收起，通过点击收起按钮的方式
b. 支持不同应用的通知排列展示，follow源生，不做优先级设置
c. 支持通知列表的上下滑动，查看不同应用通知

2. 通知管理操作：
a. 展开及收起单条消息：
i. 展开：
1. 交互方式：向下滑动
2. 生效范围：单条消息主体区域且消息通知未展开，否则不生效
ii. 收起：
1. 交互方式：向上滑动
2. 生效范围：单条消息主体区域且消息通知已展开，否则不生效
b. 通知列表滑动：
交互方式：单指滑动
交互范围：通知列表主体，左侧和右侧
c. 通知消息批量删除：
交互方式：点击通知中心底部提供批量删除的功能入口
执行反馈：点击后清空通知中心列表
d. 通知消息单条删除：
交互方式：向左单指滑动
交互范围：消息主体，拖动消息向左滑动

#3 - 2022-08-15 17:12 - 方案组-RD3_CDTS 王浩云

- Assignee changed from FW&MW2组_DLTS 刘显鹤 to CD- AF-刘景和

#4 - 2022-09-16 09:53 - CD SWPM-杨宏伟

- Target version changed from 589 to VX1_MCE_FSE_V2.0_20220930

#5 - 2022-10-10 20:18 - CD FW-王伟

- Assignee changed from CD- AF-刘景和 to CD FW 曹覃刚

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030
